/* Base */
@import url("https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i&display=swap");

/*
* -------colors-------
* primary: #1fb1de
* secondary:
* gray: #dadce0;
* light: #f5f5f5
* info: #9de1fe
* success:
* error:
* warn:
*/

body {
  font-family: "Roboto", sans-serif;
  font-size: 18px;
  font-style: normal;
  font-stretch: normal;
  height: 100%;
}

html {
  height: 100%;
}

a {
  text-decoration: none !important;
}

.app {
  position: relative;
  height: 100%;
}

.app-body {
  height: 100%;
}

.main-right {
  height: 100%;
  margin-left: 240px;
}

.header-default {
  position: fixed;
  height: 64px;
  background-color: #1fb1de;
  color: aliceblue;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 99;
}

.sidebar {
  position: fixed;
  width: 240px;
  background-color: #f5f5f5;
  box-shadow: inset -1px 0 0 0 #eeeeee;
}

.main {
  overflow: hidden;
  height: 100%;
}

.page-header {
  margin-top: 76px;
  height: 64px;
  box-shadow: inset 0 -1px 0 0 #eeeeee;
}

/* Icons */

.icon-small {
  width: 20px;
  position: relative;
}

.icon-x-small-squad {
  width: 12px;
  max-height: 12px;
  position: relative;
}

.icon-small-squad {
  width: 20px;
  max-height: 20px;
  position: relative;
}

.icon-medium-squad {
  width: 30px;
  max-height: 30px;
  position: relative;
}

.icon--light {
  fill: aliceblue;
}

.icon--green {
  fill: #4caf50;
}

.icon--brown {
  fill: #7b7b7b;
}

.icon--brown-light {
  fill: #bdbdbd;
}

/* Text */

.font-x-small {
  font-size: 12px;
}

.font-small {
  font-size: 14px;
}

.font-large {
  font-size: 20px;
}

.font-x-large {
  font-size: 40px;
}

.text--light {
  color: #bdbdbd;
}

.text--ligth-green {
  color: #4caf50;
}

.text--green {
  color: #00af7e;
}

.text--gray {
  color: #7b7b7b;
}

.font-bold {
  font-weight: bold;
}

.font-300 {
  font-weight: 300;
}

.font-500 {
  font-weight: 500;
}

.font-900 {
  font-weight: 900;
}

/* Custom */

.progress {
  width: 175px;
  height: 8px;
  border-radius: 5px;
}

.progress-bar {
  background-color: #4caf50;
  border-radius: 5px;
}

.div-icon {
  display: inline;
}

.card-sidebar {
  box-shadow: inset 0 -1px 0 0 #eeeeee;
}

.sidebar-item-selected {
  border-right: 5px solid #bdbdbd;
  background-color: #f0f0f0;
}

.card-main {
  border-radius: 4px;
  height: auto;
  border-color: #757575;
  background: #f8f9fa;
  box-shadow: 0 0px 2px 0 rgba(0, 0, 0, 0.5);
}

.form-textarea {
  border: none;
  resize: none;
  text-decoration: none;
  outline: none;
}

.form-comment {
  width: 100%;
  border-radius: 4px;
  border: solid 1px #eeeeee;
}

div::-webkit-scrollbar {
  width: 0.5em;
}

div::-webkit-scrollbar-track {
  -webkit-box-shadow: none;
}

div::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 5px;
}

.vue-star-rating-rating-text {
  display: none;
}

.avatar {
  width: 150px;
  height: 150px;
  border-radius: 50%;
}

.btn {
  border-radius: 4px;
  border: none;
}

.w-sm-50 {
  @media (min-width: 768px) {
    width: 50% !important;
  }
}

.w-sm-75 {
  @media (min-width: 768px) {
    width: 75% !important;
  }
}

.w-95 {
  width: 95%;
}

.input {
  height: 36px;
  padding-left: 5px;
  border-bottom: 1px solid #dadce0;
  border-left: 1px solid #dadce0;
  border-top: 1px solid #dadce0;
  border-right: 1px solid #dadce0;
  color: #757575;
  background: #f8f9fa;
}

.select {
  background: #f8f9fa;
  height: 36px;
  padding-left: 5px;
  border-bottom: 1px solid #dadce0;
  border-left: 1px solid #dadce0;
  border-top: 1px solid #dadce0;
  border-right: 1px solid #dadce0;
  color: #757575;
}

.textarea {
  height: 120px;
  padding-left: 5px;
  border-bottom: 1px solid #dadce0;
  border-left: 1px solid #dadce0;
  border-top: 1px solid #dadce0;
  border-right: 1px solid #dadce0;
  color: #757575;
  background: #f8f9fa;
}

.text-area-answer {
  height: 80px;
  padding-left: 5px;
  border-bottom: 1px solid #dadce0;
  border-left: 1px solid #dadce0;
  border-top: 1px solid #dadce0;
  border-right: 1px solid #dadce0;
  color: #757575;
  background: #f8f9fa;
}

.input-rounded {
  border-radius: 5px;
}

.input-disabled {
  background: darken(#f8f9fa, 3%) !important;
}

.bg-gray-10 {
  background: darken(#f8f9fa, 1.5%) !important;
}

.bg-green {
  background-color: #00af7e;
}

.bg--primary {
  background-color: #1fb1de;
}

.bg-evaluation {
  background-image: url("../static/img/background.jpg");
  background-repeat: unset;
}

.bg-gradient {
  background: rgb(230, 230, 230);
  background: linear-gradient(
    90deg,
    rgba(230, 230, 230, 1) 0%,
    rgba(255, 255, 255, 1) 50%,
    rgba(230, 230, 230, 1) 100%
  );
}

.div-divider {
  width: 100px;
  height: 2px;
  background-color: #757575;
}

.scrollable {
  overflow-y: scroll;
}

.h-max-300 {
  max-height: 300px;
}

// Notification
.vue-notification {
  padding: 10px;
  margin: 0 5px 5px;
  width: 500px;
  font-size: 14px;
  color: #ffffff;
  border: none;
  border-radius: 5px;

  &.warn {
    background: #ffb648;
  }

  &.error {
    background: #e54d42;
  }

  &.success {
    background: #68cd86;
  }
}

.notification-title {
  font-size: 16px;
}

.notifications {
  width: auto !important;
}

.vue-treeselect__control {
  background: #f8f9fa !important;
  color: #757575 !important;
  padding: 0px !important;
}

.vue-treeselect__placeholder {
  color: #757575 !important;
}

.vue-treeselect__single-value {
  color: #757575 !important;
}
